---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libVirtualThreadStartTest.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: __ZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x1070, symBinAddr: 0x2B90, symSize: 0x180 }
  - { offsetInCU: 0x9F, offset: 0x9F, size: 0x8, addend: 0x0, symName: __ZZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobjectE11UNNAMED_LEN, symObjAddr: 0x206D8, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x28C, offset: 0x28C, size: 0x8, addend: 0x0, symName: __ZL16agent_event_lock, symObjAddr: 0x206C0, symBinAddr: 0x8070, symSize: 0x0 }
  - { offsetInCU: 0x2BB, offset: 0x2BB, size: 0x8, addend: 0x0, symName: __ZL22can_support_vt_enabled, symObjAddr: 0x206C8, symBinAddr: 0x8078, symSize: 0x0 }
  - { offsetInCU: 0x2E2, offset: 0x2E2, size: 0x8, addend: 0x0, symName: __ZL18started_thread_cnt, symObjAddr: 0x206CC, symBinAddr: 0x807C, symSize: 0x0 }
  - { offsetInCU: 0x302, offset: 0x302, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x206D0, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x9745, offset: 0x9745, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x2980, symSize: 0x30 }
  - { offsetInCU: 0x9BE2, offset: 0x9BE2, size: 0x8, addend: 0x0, symName: _ThreadStart, symObjAddr: 0xE90, symBinAddr: 0x29B0, symSize: 0x1E0 }
  - { offsetInCU: 0xA051, offset: 0xA051, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x11F0, symBinAddr: 0x2D10, symSize: 0x70 }
  - { offsetInCU: 0xA156, offset: 0xA156, size: 0x8, addend: 0x0, symName: _VirtualThreadStart, symObjAddr: 0x1260, symBinAddr: 0x2D80, symSize: 0x1F0 }
  - { offsetInCU: 0xA5D2, offset: 0xA5D2, size: 0x8, addend: 0x0, symName: _Java_VirtualThreadStartTest_canSupportVirtualThreads, symObjAddr: 0x1450, symBinAddr: 0x2F70, symSize: 0x40 }
  - { offsetInCU: 0xA617, offset: 0xA617, size: 0x8, addend: 0x0, symName: _Java_VirtualThreadStartTest_getAndResetStartedThreads, symObjAddr: 0x1490, symBinAddr: 0x2FB0, symSize: 0xF0 }
  - { offsetInCU: 0xA8D8, offset: 0xA8D8, size: 0x8, addend: 0x0, symName: _agent_init, symObjAddr: 0x1580, symBinAddr: 0x30A0, symSize: 0x200 }
  - { offsetInCU: 0xAB60, offset: 0xAB60, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1780, symBinAddr: 0x32A0, symSize: 0x40 }
  - { offsetInCU: 0xABCE, offset: 0xABCE, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x17C0, symBinAddr: 0x32E0, symSize: 0x40 }
...
